# Content shared

An action block that awaits content shared/sent from within another app.

The fiber will pause until content has been shared, usually by a “share” button/menu, then choosing Automate flow as the target.

Set a content MIME type to limit the type of data shared with this fiber. The data shared is assigned either to the content URI, the content text or possibly both if the content is text.

The assigned content URI may not be a file, nor accessible by any other apps, use the Content copy block to extract the content to external storage.

## Input arguments

- Title — title to display when choosing a target flow, default is the Flow beginning title.
- Content MIME type — MIME type of the content to await, default is any content.

## Output variables

- Content URI — variable to assign the URI of the shared content.
- Content MIME type — variable to assign the actual MIME type of the shared content.
- Content text — variable to assign text content, if shared.
- Content subject — variable to assign subject text, if shared.